Permalink
Browse files

Remove additional references to "--pre" and use "python setup.py deve…

…lop" instead of "-e" magic

Related to Gallopsled/pwntools#735
  • Loading branch information...
1 parent 628aaab commit 8793decd1c9b8c822e3db6c27b9cbf6e8cddfeba @zachriggle zachriggle committed Sep 20, 2016
Showing with 3 additions and 13 deletions.
  1. +1 −2 TESTING.md
  2. +1 −9 docs/source/install.rst
  3. +1 −2 shippable.yml
View
@@ -10,8 +10,7 @@ To run the test suite, it is beste to use Ubuntu 12.04 or 14.04, and run the fol
```sh
bash .travis_install.sh
bash .travis_ssh_setup.sh
-pip install -e .
-pip install -r docs/requirements.txt
+pip setup.py develop
cd docs
PWNLIB_NOTERM=1 make clean doctest
```
@@ -27,14 +27,6 @@ pwntools is available as a ``pip`` package.
$ apt-get install python2.7 python2.7-dev python-pip
$ pip install --upgrade pwntools
-Alternatively you can get early access to the beta release if you want to help
-file bugs or simple get newer features:
-
-.. code-block:: bash
-
- $ pip install --upgrade --pre pwntools
-
-
Development
--------------
@@ -44,6 +36,6 @@ If you are hacking on Pwntools locally, you'll want to do something like this:
$ git clone https://github.com/Gallopsled/pwntools
$ cd pwntools
- $ pip install -e .
+ $ python setup.py develop
.. _Ubuntu: https://launchpad.net/~pwntools/+archive/ubuntu/binutils
View
@@ -5,8 +5,7 @@ before_install:
- source .travis_install.sh
- source .travis_ssh_setup.sh
install:
- - pip install -e .
- - pip install -r docs/requirements.txt
+ - python setup.py develop
before_script:
- PWNLIB_NOTERM=1 python -c 'from pwn import *; print pwnlib.term.term_mode'
- PWNLIB_NOTERM=1 python -c 'from pwn import *; print pwnlib.term.term_mode'

0 comments on commit 8793dec

Please sign in to comment.